Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class PageImpl

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.PortalObjectImpl
          org.jboss.portal.core.impl.model.portal.PageImpl

All Implemented Interfaces:
  java.lang.Comparable, Page, PageContainer, PortalObject

    public class PageImpl

extends PortalObjectImpl
implements Page

Version:
  $Revision: 9134 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`ALL_TYPES_MASK, log`

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Constructor Summary
`PageImpl()`
`PageImpl(boolean hibernate)`

Method Summary
`protected PortalObjectImpl` | `cloneObject()`
`Page` | `createPage(java.lang.String name)` Create a new page in the scope of this container.
`Window` | `createWindow(java.lang.String name, ContentType contentType, java.lang.String contentURI)` Create a new window.
`Page` | `getPage(java.lang.String name)` Return an existing page or null if the child does not exist or does not have the right type.
`Portal` | `getPortal()` Return the portal containing this page.
`int` | `getType()` Returns the type of the object which is a value that discriminates the object type.
`Window` | `getWindow(java.lang.String name)` Return a page window or null if the portal object does not exist or does not have the appropriate type.

Methods inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`addChild, compareTo, copy, destroy, destroyChild, equals, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDeclaredPropertyMap, getDefaultChild, getDisplayName, getDisplayNames, getId, getKey, getListener, getMask, getMask, getName, getObjectNode, getParent, getProperties, getProperty, hashCode, setDeclaredProperty, setDeclaredPropertyMap, setDisplayName, setDisplayNames, setKey, setListener, setObjectNode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### PageImpl

    public PageImpl()

### PageImpl

    public PageImpl(boolean hibernate)

Method Detail

### getPortal

    public Portal getPortal()

  Description copied from interface: `Page`
  Return the portal containing this page.

  Specified by:
    `getPortal` in interface `Page`
  Returns:
    the portal for this page

### getPage

    public Page getPage(java.lang.String name)

  Description copied from interface: `PageContainer`
  Return an existing page or null if the child does not exist or does not have the right type.

  Specified by:
    `getPage` in interface `PageContainer`
  Returns:
    the specified page

### createPage

    public Page createPage(java.lang.String name)
                    throws DuplicatePortalObjectException

  Description copied from interface: `PageContainer`
  Create a new page in the scope of this container.

  Specified by:
    `createPage` in interface `PageContainer`
  Parameters:
    `name` - the name of the child page to create
  Returns:
    the create page
  Throws:
    `DuplicatePortalObjectException` - if an object with the specified name already exist

### getWindow

    public Window getWindow(java.lang.String name)

  Description copied from interface: `Page`
  Return a page window or null if the portal object does not exist or does not have the appropriate type.

  Specified by:
    `getWindow` in interface `Page`
  Parameters:
    `name` - the window name
  Returns:
    the specified page window

### createWindow

    public Window createWindow(java.lang.String name,
                               ContentType contentType,
                               java.lang.String contentURI)
                        throws DuplicatePortalObjectException,
                               java.lang.IllegalArgumentException

  Description copied from interface: `Page`
  Create a new window.

  Specified by:
    `createWindow` in interface `Page`
  Parameters:
    `name` - window name
    `contentType` - the window content type
    `contentURI` - the window content URI
  Returns:
    the created window
  Throws:
    `DuplicatePortalObjectException` - if a portal object with the specified name already exist
    `java.lang.IllegalArgumentException` - if the name is null

### getType

    public int getType()

  Description copied from interface: `PortalObject`
  Returns the type of the object which is a value that discriminates the object type.

  Specified by:
    `getType` in interface `PortalObject`
  Specified by:
    `getType` in class `PortalObjectImpl`
  Returns:
    the object type.

### cloneObject

    protected PortalObjectImpl cloneObject()

  Specified by:
    `cloneObject` in class `PortalObjectImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD